Doomsday Engine - Bug #2055

[MP] Multiple instances can't connect to a local server
2015-05-16 10:46 - vermil

Status: New Start date: 2015-05-16
Priority: Normal % Done: 0%
Assignee:

Category:

Target version: Multiplayer

Description

Multiple instances of Dday running on the same computer can't connect to the same server; Dday immediately disconnects the
second player citing a duplicate connection.

In this case, the shell console interestingly incorrectly lists this second players connection time as the time the first player has
currently been connected for.

Related issues:

Related to Bug #1980: Client should refuse to use the same userdir as another... New 2015-02-16
Related to Feature #2057: Multiple client instances New 2015-05-16
History

#1 - 2015-05-16 15:18 - skyjake

- Related to Bug #1980: Client should refuse to use the same userdir as another already running client added

#2 - 2015-05-16 15:20 - skyjake
- Tags set to Multiplayer, Client

- Subject changed from [Multiplayer] multiple instances can't connect to a local server to [MP] Multiple instances can't connect to a local server

Client identification is determined by the client.id file in the runtime folder. When you were running multiple instances, did they have different userdirs
and if so, were the client.id files different, too?

It is safe to delete client.id. A new random one will be automatically generated.

#3 - 2015-05-16 15:34 - skyjake
- Related to Feature #2057: Multiple client instances added

#4 - 2016-03-27 08:26 - skyjake
- Target version set to 2.1 (Late 2018)

#5 - 2018-07-29 16:53 - skyjake
- Target version changed from 2.1 (Late 2018) to Multiplayer
